Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 1334)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 1335)
@@ -25,17 +25,14 @@
 	public static String common_fMin;
 	public static String common_frequency;
 	public static String common_lowestFrequency;
-	public static String common_mode;
 	public static String common_numberOfLines;
 	public static String common_ok;
-	public static String common_pleaseWait;
 	public static String common_properties;
 	public static String common_property;
 	public static String common_queries;
 	public static String common_query;
 	public static String common_reference;
 	public static String common_rows;
-	public static String common_structuralUnit;
 	public static String common_structuralUnitAndProperty;
 	public static String common_structure;
 	public static String common_thresholds;
@@ -51,132 +48,128 @@
 
 
 	
-	public static String info_connected;
 
 	
-	public static String ApplicationWorkbenchAdvisor_13;
-	public static String ApplicationWorkbenchAdvisor_14;
-	public static String ApplicationWorkbenchAdvisor_15;
-	public static String ApplicationWorkbenchAdvisor_40;
-	public static String ApplicationWorkbenchAdvisor_6;
-	public static String FMAX_2;
-	public static String FMIN_2;
-	public static String V;
+	public static String couldNotCreateTXMHOMEDirectoryDDotP0; 
+	public static String evaluatingExtensionDDot; 
+	public static String loadingExtensions; 
+	public static String failedToCopyTXMFilesFromTXMINSTALLDIRToTXMHOMEDDotP0; 
+	public static String exceptionDDot; 
+	public static String fmax; 
+	public static String fmin; 
+	public static String v; 
 
 	
 
 	
 	public static String common_absoluteFrequency;
 
-	public static String Base_0;
-	public static String Base_3;
-	public static String Base_4;
-	public static String Base_5;
-	public static String Base_6;
-	public static String Catalog_0;
-	public static String CatalogManager_0;
-	public static String CatalogManager_1;
-	public static String Contrasts_0;
-	public static String Convert5To6_10;
-	public static String Convert5To6_11;
-	public static String Convert5To6_12;
-	public static String Convert5To6_15;
-	public static String Convert5To6_19;
-	public static String Convert5To6_1;
-	public static String Convert5To6_30;
-	public static String Convert5To6_46;
-	public static String Convert5To6_6;
-	public static String Convert5To6_7;
-	public static String Convert5To6_8;
-	public static String Convert5To6_9;
-	public static String Corpus_12;
-	public static String Corpus_13;
-	public static String Corpus_14;
-	public static String Corpus_15;
-	public static String Corpus_19;
-	public static String Corpus_2;
-	public static String Corpus_3;
-	public static String Corpus_4;
-	public static String Corpus_5;
-	public static String Corpus_8;
-	public static String CorpusManager_0;
-	public static String CorpusManager_1;
+	public static String binaryDirectory; 
+	public static String doesNotExist; 
+	public static String parentDirectory; 
+	public static String errorDDotLinkGrplinkAttargetMalformedDDot; 
+	public static String catalogFileNotFound; 
+	public static String managerErrorDuringInitializationDDot; 
+	public static String doesNotExist_3; 
+	public static String computingDDot; 
+	public static String registryFileIsMissingDDot; 
+	public static String htmlDirectoryIsMissingDDot; 
+	public static String processing; 
+	public static String reorganizingFilesOf; 
+	public static String readCorpusInfosFromOldImportxmlFileDDot; 
+	public static String isMissing; 
+	public static String fillImportxmlWithDDot; 
+	public static String processingTextDDot; 
+	public static String checkingBinaryFormat; 
+	public static String txmDirectoryIsMissingDDot; 
+	public static String dataDirectoryIsMissingDDot; 
+	public static String failedToRestoreSubcorpus; 
+	public static String corpusDDotgetLocaleDDotCQPIsNotReadyToAnswerDDot; 
+	public static String warningDDotCantLoadCorpus; 
+	public static String informationsFromWorkspaceSelfElementNull; 
+	public static String failedToRestorePartition; 
+	public static String corpusDDot; 
+	public static String encodingDDot; 
+	public static String languageDDot; 
+	public static String noValuesGiven; 
+	public static String in; 
+	public static String cQiClientNotInitialized; 
+	public static String errorDDotThisExceptionShouldNotBeThrown; 
 
-	public static String Error_CONNECTION_FAILED;
-	public static String Filter_7;
-	public static String FilterManager_0;
-	public static String FilterManager_1;
-	public static String Focus_1;
-	public static String GroovyImportScriptRunner_0;
-	public static String GroovyImportScriptRunner_1;
-	public static String GroovyImportScriptRunner_3;
-	public static String MainCorpus_0;
+	public static String errorDDotWhileConnectionToSearchEngineWithTheFollowingParametersDDot; 
+	public static String readError; 
+	public static String filterManagerErrorDDotInitialization; 
+	public static String theFocusIsEmptyOrNull; 
+	public static String initializationOfGroovyImportScriptRunner; 
+	public static String supBeginningExecutionOf; 
+	public static String supEndOfExecution; 
+	public static String isNotAValidCQPIDForACorpusItMustBeInUppercaseCharacters; 
 	
 	
-	public static String Page_3;
-	public static String Partition_18;
-	public static String Partition_9;
-	public static String PartitionFocus_1;
-	public static String PartitionFocus_2;
-	public static String PartitionFocus_3;
-	public static String PartitionFocus_4;
-	public static String Project_11;
-	public static String Project_17;
-	public static String Project_18;
-	public static String Project_26;
-	public static String Project_26_079;
-	public static String Project_28;
-	public static String Project_31;
-	public static String QUERY;
-	public static String QueryIndex_2;
-	public static String QueryIndex_3;
-	public static String QUERYING_PARTITION;
-	public static String QueryResult_0;
-	public static String Selection_26;
-	public static String Selection_5;
-	public static String Selection_6;
-	public static String Selection_7;
-	public static String Selection_8;
-	public static String Selection_9;
-	public static String StructuralUnitProperty_0;
-	public static String TigerXmlIndexing_2;
-	public static String TigerXmlIndexing_3;
-	public static String TigerXmlIndexing_6;
-	public static String TigerXmlIndexing_7;
-	public static String Toolbox_0;
-	public static String Toolbox_10;
-	public static String Toolbox_12;
-	public static String Toolbox_14;
-	public static String Toolbox_15;
-	public static String Toolbox_16;
-	public static String Toolbox_17;
-	public static String Toolbox_18;
-	public static String Toolbox_22;
-	public static String Toolbox_27;
-	public static String Toolbox_28;
-	public static String Toolbox_29;
-	public static String Toolbox_30;
-	public static String Toolbox_31;
-	public static String Toolbox_33;
-	public static String Toolbox_34;
-	public static String Toolbox_37;
-	public static String Toolbox_38;
-	public static String Toolbox_39;
-	public static String Toolbox_40;
-	public static String Toolbox_connected_to_corpus_sever;
-	public static String Toolbox_workspace_init_failed;
-	public static String Toolbox_wrong_port;
-	public static String TSCmd_30;
-	public static String TSCmd_31;
-	public static String TSCorpus_0;
-	public static String TSCorpusManager_0;
-	public static String TSCorpusManager_1;
-	public static String TSResult_0;
-	public static String TSResult_2;
-	public static String ValidateXml_0;
-	public static String ValidateXml_1;
-	public static String ValidateXml_2;
-	public static String ValidateXml_3;
+	public static String malformedURLFile; 
+	public static String failedToGetLastCQPErrorDDot; 
+	public static String failedToCreatePartDDot; 
+	public static String theFocusCannotBeNullOrEmpty; 
+	public static String focusIsEmptyOrNull; 
+	public static String theP0PartFocusDoesntBelongToPartitionP1; 
+	public static String unknownPartitionName; 
+	public static String failedToLoadBaseParametersFromFileDDot; 
+	public static String errorDDotSkippingTheLoadingOfCorpusDDot; 
+	public static String pARAMSDDot; 
+	public static String errorDDotP0CorpusDirectoryIsNotConformantToTXMCorpusBinaryFormatDDotCorpusSkipped; 
+	public static String errorDDotP0CorpusDirectoryIsNotConformantToTXM079CorpusBinaryFormatDDotCorpusSkipped; 
+	public static String tXMNeedsFoldersDDot; 
+	public static String andFile; 
+	public static String queryOnP0DDotP1InfP2; 
+	public static String warningDDotDuplicateQueryEntryDDot; 
+	public static String warningDDotQueryFailedDDot; 
+	public static String queryingPartitionP0; 
+	public static String isNotAValidCQPIdForASubcorpusItMustBeAnUppercaseCharactersFollowedByLowercaseCharacters; 
+	public static String failedToGetSupValuesOf; 
+	public static String textMetadataDDot; 
+	public static String selectionErrorDDotTheCorpus; 
+	public static String hasNoBase; 
+	public static String cantFindStructuralUnitForMetadataWithIdDDot; 
+	public static String errorWhileGettingMetadatasFromBaseimportMetadatasDDot; 
+	public static String failedToAccessStructuralPropertyValues; 
+	public static String eRRORDDotExists; 
+	public static String eRRORDDotRead; 
+	public static String iODDot; 
+	public static String sAXDDot; 
+	public static String file; 
+	public static String noWorkspaceFoundCreatingANewOne; 
+	public static String loadingWorkspaceFromFileDDot; 
+	public static String errorLoadingWorkspaceFromFileDDot; 
+	public static String errorDDot; 
+	public static String doesNotExists; 
+	public static String endOfCQPWaitTest; 
+	public static String errorWhileWaitingForCQP; 
+	public static String workspaceDDot; 
+	public static String and; 
+	public static String failedToStartMemCqiClientDDot; 
+	public static String errorWhileConnectingToSearchEngine; 
+	public static String wrongLoginOrPasswordOrPortDDot; 
+	public static String failedToExecTaskkillIMCqpserverexeFDDot; 
+	public static String orTheEngineWasNotStartedWithTheCommandLineDDot; 
+	public static String failedToExecTskillCqpserverexeDDot; 
+	public static String killPsAuxPipeGrepCqpserverPipeAwkP; 
+	public static String print2; 
+	public static String failedToExec; 
+	public static String dDot; 
+	public static String connected; 
+	public static String errorDuringWorkspaceInitializationDDot; 
+	public static String errorDDotTheConnexionToTheServerFailedDDotWrongPortFormat; 
+	public static String queryWasDDot; 
+	public static String matchesFound; 
+	public static String couldntReadCorpusDDot; 
+	public static String errorRegDirDDot; 
+	public static String errorConfigdirDirDDot; 
+	public static String numberOfMatch; 
+	public static String numberOfSubMatch; 
+	public static String xmlValidationDDot; 
+	public static String isADirectory; 
+	public static String doesNotExists_2; 
+	public static String isNotReadable; 
 	
 	
 	/**
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/messages/PartitionUIMessages.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/messages/PartitionUIMessages.java	(revision 1334)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/messages/PartitionUIMessages.java	(revision 1335)
@@ -1,29 +1,29 @@
-package org.txm.partition.rcp.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-
-/**
- * Partition UI Messages.
- * @author sjacquot
- *
- */
-public class PartitionUIMessages extends NLS {
-
-	private static final String BUNDLE_NAME = "org.txm.partition.rcp.messages.messages"; //$NON-NLS-1$
-	
-	public static String PreferencesPage_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE;
-	public static String PreferencesPage_DIMENSIONS_SORT_BY_PARTS_SIZE;
-
-	public static String preferences_charts_tabfolder_title; // "Dimensions chart rendering"
-	
-	static {
-		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, PartitionUIMessages.class);
-	}
-
-	private PartitionUIMessages() {
-	}
-	
-}
+package org.txm.partition.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+
+/**
+ * Partition UI Messages.
+ * @author sjacquot
+ *
+ */
+public class PartitionUIMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.partition.rcp.messages.messages"; //$NON-NLS-1$
+	
+	public static String displayPartsCountInChartTitle; 
+	public static String sortByPartSize; 
+
+	public static String dimensionsChartRendering; // "Dimensions chart rendering"
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, PartitionUIMessages.class);
+	}
+
+	private PartitionUIMessages() {
+	}
+	
+}
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/editors/PartitionDimensionsEditor.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/editors/PartitionDimensionsEditor.java	(revision 1334)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/editors/PartitionDimensionsEditor.java	(revision 1335)
@@ -36,7 +36,7 @@
 		new ToolItem(this.getToolBar(), SWT.SEPARATOR);
 		this.sortByPartSize = new ToolItem(this.getToolBar(), SWT.CHECK);
 		this.sortByPartSize.setImage(IImageKeys.getImage(this.getClass(), "icons/silk_sort_by_size.png")); //$NON-NLS-1$
-		this.sortByPartSize.setToolTipText(PartitionUIMessages.PreferencesPage_DIMENSIONS_SORT_BY_PARTS_SIZE);
+		this.sortByPartSize.setToolTipText(PartitionUIMessages.sortByPartSize);
 		
 		this.sortByPartSize.addSelectionListener(new ComputeSelectionListener(this));
 		
@@ -52,4 +52,4 @@
 	}
 	
 	
-}
+}
\ No newline at end of file
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java	(revision 1334)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/preferences/PartitionPreferencePage.java	(revision 1335)
@@ -54,10 +54,10 @@
 	public void createFieldEditors() {
 		
 		// Charts rendering
-		Composite chartsTab = SWTChartsComponentsProvider.createChartsRenderingPreferencesTabFolderComposite(this.getFieldEditorParent(), PartitionUIMessages.preferences_charts_tabfolder_title);
+		Composite chartsTab = SWTChartsComponentsProvider.createChartsRenderingPreferencesTabFolderComposite(this.getFieldEditorParent(), PartitionUIMessages.dimensionsChartRendering);
 		
-		this.addField(new BooleanFieldEditor(PartitionDimensionsPreferences.CHART_DIMENSIONS_SORT_BY_SIZE, PartitionUIMessages.PreferencesPage_DIMENSIONS_SORT_BY_PARTS_SIZE, chartsTab));
-		this.addField(new BooleanFieldEditor(PartitionDimensionsPreferences.CHART_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE, PartitionUIMessages.PreferencesPage_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE, chartsTab));
+		this.addField(new BooleanFieldEditor(PartitionDimensionsPreferences.CHART_DIMENSIONS_SORT_BY_SIZE, PartitionUIMessages.sortByPartSize, chartsTab));
+		this.addField(new BooleanFieldEditor(PartitionDimensionsPreferences.CHART_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE, PartitionUIMessages.displayPartsCountInChartTitle, chartsTab));
 		
 		// other shared preferences
 		SWTChartsComponentsProvider.createChartsRenderingPreferencesFields(this, chartsTab);
@@ -69,4 +69,4 @@
 		this.setPreferenceStore(new TXMPreferenceStore(PartitionDimensionsPreferences.getInstance().getPreferencesNodeQualifier()));
 		this.setTitle(TXMCoreMessages.common_description);
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/messages/PartitionCoreMessages.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/messages/PartitionCoreMessages.java	(revision 1334)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/messages/PartitionCoreMessages.java	(revision 1335)
@@ -1,36 +1,36 @@
-package org.txm.partition.core.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-
-/**
- * Partition core messages.
- * 
- * @author mdecorde
- * @author sjacquot
- *
- */
-public class PartitionCoreMessages extends NLS {
-
-	private static final String BUNDLE_NAME = "org.txm.partition.core.messages.messages"; //$NON-NLS-1$
-	
-	public static String RESULT_TYPE;
-	
-	public static String charts_error_cantCreatePartitionDismensionsFileChart;
-	public static String CHARTSENGINE_PARTITION_DIMENSIONS_SORTED_BY_SIZE;
-	public static String CHARTSENGINE_PARTITION_DIMENSIONS_DIMENSIONS_OF_PARTITION;
-	public static String CHARTSENGINE_PARTITION_DIMENSIONS_PARTS;
-	public static String CHARTSENGINE_PARTITION_DIMENSIONS_CATEGORY;
-	public static String CHARTSENGINE_PARTITION_DIMENSIONS_X_AXIS_LABEL;
-	public static String CHARTSENGINE_PARTITION_DIMENSIONS_Y_AXIS_LABEL;
-	public static String PartsSize_18;
-	
-	static {
-		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, PartitionCoreMessages.class);
-	}
-
-	private PartitionCoreMessages() {
-	}
-}
+package org.txm.partition.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+
+/**
+ * Partition core messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class PartitionCoreMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.partition.core.messages.messages"; //$NON-NLS-1$
+	
+	public static String RESULT_TYPE;
+	
+	public static String cantCreateDimensionsPartitionChartFileChartsEngineDDotP0; 
+	public static String sortedBySize; 
+	public static String dimensionsOfTheP0PartitionInTheP1Corpus; 
+	public static String parts; 
+	public static String t; 
+	public static String part; 
+	public static String numberOfWords; 
+	public static String dimensionsDDotP0; 
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, PartitionCoreMessages.class);
+	}
+
+	private PartitionCoreMessages() {
+	}
+}
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 1334)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 1335)
@@ -188,7 +188,7 @@
 	@Override
 	public String getName()	{
 		try {
-			return PartitionCoreMessages.bind(PartitionCoreMessages.PartsSize_18, this.getParent().getName());
+			return PartitionCoreMessages.bind(PartitionCoreMessages.dimensionsDDotP0, this.getParent().getName());
 		}
 		catch(Exception e) {
 		}	
@@ -240,4 +240,4 @@
 		return PartitionCoreMessages.RESULT_TYPE;
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/base/Utils.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/base/Utils.java	(revision 1334)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/base/Utils.java	(revision 1335)
@@ -24,15 +24,15 @@
 	 */
 	public static String createPartitionDimensionsChartTitle(PartitionDimensions partitionDimensions, boolean sortPartsBySize, boolean displayPartsCountInTitle)	{
 
-		String title = PartitionCoreMessages.bind(PartitionCoreMessages.CHARTSENGINE_PARTITION_DIMENSIONS_DIMENSIONS_OF_PARTITION, partitionDimensions.getParent().getSimpleName(), partitionDimensions.getCorpus().getSimpleName());
+		String title = PartitionCoreMessages.bind(PartitionCoreMessages.dimensionsOfTheP0PartitionInTheP1Corpus, partitionDimensions.getParent().getSimpleName(), partitionDimensions.getCorpus().getSimpleName());
 
 		// FIXME
 //		if(displayPartsCountInTitle)	{
-//			title += "\n(" +  partitionDimensions.getPartsCount() + " " + PartitionCoreMessages.CHARTSENGINE_PARTITION_DIMENSIONS_PARTS + ")"; //$NON-NLS-1$ //$NON-NLS-3$
+//			title += "\n(" +  partitionDimensions.getPartsCount() + " " + PartitionCoreMessages.parts + ")"; //$NON-NLS-1$ //$NON-NLS-3$
 //		}
 //
 //		if(sortPartsBySize) {
-//			title += PartitionCoreMessages.CHARTSENGINE_PARTITION_DIMENSIONS_SORTED_BY_SIZE;
+//			title += PartitionCoreMessages.sortedBySize;
 //		}
 
 		return title;
@@ -44,7 +44,7 @@
 		String title = "";
 		
 		if(displayPartsCountInTitle)	{
-			title += partitionDimensions.getPartsCount() + " " + PartitionCoreMessages.CHARTSENGINE_PARTITION_DIMENSIONS_PARTS; //$NON-NLS-1$
+			title += partitionDimensions.getPartsCount() + " " + PartitionCoreMessages.parts; //$NON-NLS-1$
 		}
 
 		if(displayPartsCountInTitle && sortPartsBySize) {
@@ -52,10 +52,10 @@
 		}
 		
 		if(sortPartsBySize) {
-			title += PartitionCoreMessages.CHARTSENGINE_PARTITION_DIMENSIONS_SORTED_BY_SIZE;
+			title += PartitionCoreMessages.sortedBySize;
 		}
 
 		return title;
 		
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsBarChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsBarChartCreator.java	(revision 1334)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsBarChartCreator.java	(revision 1335)
@@ -39,7 +39,7 @@
 		XYSeriesCollection dataset = new XYSeriesCollection();
 
 		// Create the chart
-        chart = this.getChartsEngine().createXYBarChart(dataset, null, PartitionCoreMessages.CHARTSENGINE_PARTITION_DIMENSIONS_X_AXIS_LABEL, PartitionCoreMessages.CHARTSENGINE_PARTITION_DIMENSIONS_Y_AXIS_LABEL, false, true);
+        chart = this.getChartsEngine().createXYBarChart(dataset, null, PartitionCoreMessages.part, PartitionCoreMessages.numberOfWords, false, true);
         // Custom range axis for ticks drawing options
         chart.getXYPlot().setRangeAxis(new ExtendedNumberAxis((NumberAxis) chart.getXYPlot().getRangeAxis(), false, true, 0, DatasetUtilities.findMaximumRangeValue(chart.getXYPlot().getDataset()).doubleValue()));
 
@@ -69,7 +69,7 @@
 			XYSeriesCollection dataset = (XYSeriesCollection) chart.getXYPlot().getDataset();
 			dataset.removeAllSeries();
 			
-			XYSeries series = new XYSeries(PartitionCoreMessages.CHARTSENGINE_PARTITION_DIMENSIONS_CATEGORY);
+			XYSeries series = new XYSeries(PartitionCoreMessages.t);
 			dataset.addSeries(series);
 	
 			List<Part> parts = partitionDimensions.getParts(sortPartsBySize);
@@ -122,4 +122,4 @@
 	
 	
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsPieChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsPieChartCreator.java	(revision 1334)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsPieChartCreator.java	(revision 1335)
@@ -67,7 +67,7 @@
 			this.getChartsEngine().setColors(result.getRenderingColorsMode(),  parts.size());
 
 			
-			String ylab = PartitionCoreMessages.CHARTSENGINE_PARTITION_DIMENSIONS_Y_AXIS_LABEL;
+			String ylab = PartitionCoreMessages.numberOfWords;
 
 			String cmd = "pie(" + ssizes + ", col=colors, labels=" + snames + //$NON-NLS-1$ //$NON-NLS-2$
 					", main=\"" + title + "\", horiz=F, las=2, ylab=\"" + ylab + "\")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
@@ -76,7 +76,7 @@
 			((RChartsEngine) this.chartsEngine).plot(file, cmd);
 		}
 		catch(Exception e) {
-			Log.severe(PartitionCoreMessages.bind(PartitionCoreMessages.charts_error_cantCreatePartitionDismensionsFileChart, RChartsEngine.DESCRIPTION) + e);
+			Log.severe(PartitionCoreMessages.bind(PartitionCoreMessages.cantCreateDimensionsPartitionChartFileChartsEngineDDotP0, RChartsEngine.DESCRIPTION) + e);
 		}
 
 		return file;
@@ -88,4 +88,4 @@
 		return PartitionDimensions.class;
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java	(revision 1334)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java	(revision 1335)
@@ -67,7 +67,7 @@
 			// FIXME: one color by part
 			//this.getChartsEngine().setColors(TXMPreferences.getInt(preferencesNode, result, ChartsEnginePreferences.RENDERING_COLORS_MODE),  parts.size());
 			
-			String ylab = PartitionCoreMessages.CHARTSENGINE_PARTITION_DIMENSIONS_Y_AXIS_LABEL;
+			String ylab = PartitionCoreMessages.numberOfWords;
 
 			String cmd = "";
 			
@@ -92,7 +92,7 @@
 			
 		}
 		catch(Exception e) {
-			Log.severe(PartitionCoreMessages.bind(PartitionCoreMessages.charts_error_cantCreatePartitionDismensionsFileChart, RChartsEngine.DESCRIPTION) + e);
+			Log.severe(PartitionCoreMessages.bind(PartitionCoreMessages.cantCreateDimensionsPartitionChartFileChartsEngineDDotP0, RChartsEngine.DESCRIPTION) + e);
 			Log.printStackTrace(e);
 		}
 
@@ -107,4 +107,4 @@
 		return PartitionDimensions.class;
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/messages/ProgressionCoreMessages.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/messages/ProgressionCoreMessages.java	(revision 1334)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/messages/ProgressionCoreMessages.java	(revision 1335)
@@ -1,43 +1,43 @@
-package org.txm.progression.core.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-/**
- * Progression core messages.
- * 
- * @author mdecorde
- * @author sjacquot
- *
- */
-public class ProgressionCoreMessages extends NLS {
-
-	private static final String BUNDLE_NAME = "org.txm.progression.core.messages.messages"; //$NON-NLS-1$
-	
-	public static String RESULT_TYPE;
-
-	public static String ChartsEngine_PROGRESSION_X_AXIS_LABEL;
-	public static String ChartsEngine_PROGRESSION_Y_AXIS_CUMULATIVE_LABEL;
-
-	public static String ChartsEngine_PROGRESSION_TITLE_PROGRESSION_OF;
-	public static String ChartsEngine_PROGRESSION_TITLE_IN;
-	public static String ChartsEngine_PROGRESSION_TITLE_DENSITY;
-	public static String ChartsEngine_PROGRESSION_TITLE_STRUCT;
-	public static String ChartsEngine_PROGRESSION_TITLE_PROPERTY;
-	public static String ChartsEngine_PROGRESSION_TITLE_REGEX;
-
-	public static String ComputeProgression_0;
-	public static String ComputeProgression_3;
-	
-	
-	public static String Progression_1;
-	
-	
-	static {
-		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, ProgressionCoreMessages.class);
-	}
-
-	private ProgressionCoreMessages() {
-	}
-}
+package org.txm.progression.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+/**
+ * Progression core messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class ProgressionCoreMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.progression.core.messages.messages"; //$NON-NLS-1$
+	
+	public static String RESULT_TYPE;
+
+	public static String tEqualsP0; 
+	public static String occurrences; 
+
+	public static String progressionOf; 
+	public static String in; 
+	public static String density; 
+	public static String structureDDot; 
+	public static String propertyDDot; 
+	public static String filteringREGEXDDot; 
+
+	public static String theProgressionCommandIsNotYetAvailableForDiscontinuousSubcorpora; 
+	public static String doneDDotNoMatchFound; 
+	
+	
+	public static String errorDDotSubcorpusWithSize0; 
+	
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, ProgressionCoreMessages.class);
+	}
+
+	private ProgressionCoreMessages() {
+	}
+}
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 1334)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 1335)
@@ -302,7 +302,7 @@
 
 			this.subTask("Processing queries.");
 			if (!stepQueries()) {
-				Log.severe(ProgressionCoreMessages.ComputeProgression_3);
+				Log.severe(ProgressionCoreMessages.doneDDotNoMatchFound);
 				return false;
 			}
 
@@ -534,7 +534,7 @@
 		if (getCorpus() instanceof Subcorpus) {
 			List<Match> matches = ((Subcorpus) getCorpus()).getMatches();
 			if (matches.size() == 0) {
-				System.out.println(ProgressionCoreMessages.Progression_1);
+				System.out.println(ProgressionCoreMessages.errorDDotSubcorpusWithSize0);
 				return false;
 			}
 
@@ -859,4 +859,4 @@
 	}
 
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/base/Utils.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/base/Utils.java	(revision 1334)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/base/Utils.java	(revision 1335)
@@ -23,7 +23,7 @@
 	 */
 	public static String createProgressionChartTitle(Progression progression, boolean doCumulative)	{
 
-		String title = ProgressionCoreMessages.ChartsEngine_PROGRESSION_TITLE_PROGRESSION_OF + " "; //$NON-NLS-1$
+		String title = ProgressionCoreMessages.progressionOf + " "; //$NON-NLS-1$
 
 		// Put queries in title
 		for(int i = 0; i < progression.getQueries().size(); i++) {
@@ -34,19 +34,19 @@
 		}
 
 
-		title += " " + ProgressionCoreMessages.ChartsEngine_PROGRESSION_TITLE_IN + " " + progression.getCorpus().getName(); //$NON-NLS-1$ //$NON-NLS-2$
+		title += " " + ProgressionCoreMessages.in + " " + progression.getCorpus().getName(); //$NON-NLS-1$ //$NON-NLS-2$
 
 		if(!doCumulative)	{
-			title += " " + ProgressionCoreMessages.ChartsEngine_PROGRESSION_TITLE_DENSITY; //$NON-NLS-1$
+			title += " " + ProgressionCoreMessages.density; //$NON-NLS-1$
 		}
 
 
 		if (progression.getStructuralUnit() != null) {
-			title += "\n(" + ProgressionCoreMessages.ChartsEngine_PROGRESSION_TITLE_STRUCT + progression.getStructuralUnit().getName();
+			title += "\n(" + ProgressionCoreMessages.structureDDot + progression.getStructuralUnit().getName();
 			if (progression.getStructuralUnitProperty() != null) {
-				title += ProgressionCoreMessages.ChartsEngine_PROGRESSION_TITLE_PROPERTY + progression.getStructuralUnitProperty().getName();
+				title += ProgressionCoreMessages.propertyDDot + progression.getStructuralUnitProperty().getName();
 				if (progression.getPropertyRegex() != null)	{
-					title += ProgressionCoreMessages.ChartsEngine_PROGRESSION_TITLE_REGEX + progression.getPropertyRegex();
+					title += ProgressionCoreMessages.filteringREGEXDDot + progression.getPropertyRegex();
 				}
 			}
 			title += ")";
@@ -56,4 +56,4 @@
 	}
 	
 
-}
+}
\ No newline at end of file
